org.apache.cassandra.tools

## Class BulkLoadConnectionFactory

- java.lang.Object
- - org.apache.cassandra.tools.BulkLoadConnectionFactory

- All Implemented Interfaces:
    StreamConnectionFactory

      public class BulkLoadConnectionFactory
      extends java.lang.Object
      implements StreamConnectionFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkLoadConnectionFactory(int storagePort, int secureStoragePort, EncryptionOptions.ServerEncryptionOptions encryptionOptions, boolean outboundBindAny)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createConnection(java.net.InetAddress peer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkLoadConnectionFactory

          public BulkLoadConnectionFactory(int storagePort,
                                           int secureStoragePort,
                                           EncryptionOptions.ServerEncryptionOptions encryptionOptions,
                                           boolean outboundBindAny)

  - ### Method Detail

    - #### createConnection

          public java.net.Socket createConnection(java.net.InetAddress peer)
                                           throws java.io.IOException

      Specified by:
        `createConnection` in interface `StreamConnectionFactory`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation